Page MenuHomePhabricator

Beta mobile talk pages have a(n inactive) "speech-balloon" button
Closed, ResolvedPublic

Description

I reported a bug in the beta mobile code, using Bugzilla, in which the "speech balloons" button on user pages misgenerated the name of the talk page it was supposed to link to. That bug was put into Phabricator T54165 (https://phabricator.wikimedia.org/T54165#562123), by @Florian I think. It has been fixed (code review https://gerrit.wikimedia.org/r/#/c/173541/) and the task properly closed.

But in testing the fix I found a new problem, or at least one I hadn't noticed before. The beta mobile version shows a speech balloons button on talk pages as well! This happens on article talk pages as well as user talk pages; I haven't checked other types. The button doesn't actually do anything, which is good because talk pages don't have meta-talk pages. But it's a really bad idea to have a do-nothing button that looks just like the corresponding real button on other pages.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterShow talk button only, if page can have a talk page

Event Timeline

Thnidu created this task.Nov 28 2014, 7:04 AM
Thnidu raised the priority of this task from to Needs Triage.
Thnidu updated the task description. (Show Details)
Thnidu changed Security from none to None.
Thnidu updated the task description. (Show Details)
Thnidu added a subscriber: Thnidu.
Qgil added a subscriber: Qgil.
Qgil removed a subscriber: Qgil.
Florian claimed this task.Nov 28 2014, 10:19 AM
Florian added a subscriber: Qgil.

Thanks @Qgil for adding MF project :)

@Thnidu: thanks for this bug, now i can answer to this problem :) I can replicate the problem and submitted a change for it:
-> https://gerrit.wikimedia.org/r/#/c/176326/

Thanks for reporting this!

Change 176326 had a related patch set uploaded (by Florianschmidtwelzow):
Show talk button only, if page can have a talk page

https://gerrit.wikimedia.org/r/176326

Patch-For-Review

KLans_WMF triaged this task as Medium priority.Dec 1 2014, 7:15 PM

Change 176326 merged by jenkins-bot:
Show talk button only, if page can have a talk page

https://gerrit.wikimedia.org/r/176326

Florian closed this task as Resolved.Dec 2 2014, 9:48 AM